# Soluzioni ai problemi del Web

Dopo aver definito le caratteristiche _problematiche_ del moderno _World Wide Web_, vediamo le loro possibili soluzioni.

## Navigazione

Riassumento, i problemi del navigare il web sono il __tracciamento__, l'__analisi comportamentale__ e le __pubblicità mirate__: vediamo ora come risolverli.

### Ad Blocker

Un __Ad Blocker__ è un software in grado di nascondere le pubblicità sulle pagine web visitate. Gli __Ad Blocker__ più avanzati sono in grado di:

- nascondere gli elementi della pagina dedicati alle pubblicità
- evitare l'esecuzione di __script__ o memorizzazione di __cookie__ non necessari per la fruizione dei contenuti della pagina, ad esempio quelli dedicati al tracciamento

Gli __Ad Blocker__ più conosciuti sono __AdBlock__ e __AdBlock Plus__, entrambi però sono __Closed Source__ e generalmente considerati meno affidabili dell'alternativa __uBlock__, che si presenta come una soluzione più moderna, performante e completamente __Open Source__.

### Ghostery

Tramite il plugin __Ghostery__, disponibile per tutti i browser web più usati, è possibile:

- vedere le informazioni di tracciamento che vengono inviate ai server dei vari siti web che utilizziamo
- conoscere le aziende a cui sono destinate tali informazioni
- bloccare l'invio delle informazioni di tracciamento

__Per provare tutto ciò__ è infatti sufficiente installare __Ghostery__ e, seguendo le istruzioni su [ghostery.com/it](http://ghostery.com/it/), collegarsi a uno o più social network o servizio come Google, LinkedIn, Facebook, notando __immediatamente__ lo scambio di dati di tracciamento tra noi e i server di questi servizi.

Attenzione però: __Ghostery è un software Closed Source__, dunque non è possibile sapere esattamente che tipo di operazioni esegua, la qualità della sua efficacia, e eventuali __backdoor__ presenti o __raccolte dati__ effettuate dal software.

## Servizi

Per i servizi come __File Sharing__, __Messaggistica__ e __Cloud Storage__ le alternative devono essere:

- __decentralizzate__ o, alternativamente, permettere il __self-hosting__,
- configurabili e adattabili a diverse situazioni e casi d'uso,
- rispettare la __privacy__ e consentire l'__anonimato__, limitando i dati immagazzinati o evitandone completamente la raccolta.

### Self-Hosting

Il __self-hosting__ è una caratteristica di un __servizio__ che gli permette di creare diverse __istanze personalizzate__ gestite internamente da un'organizzazione o un privato. Questa caratteristica è associata ai servizi __liberi ma non decentralizzabili__ come ad esempio un __DBMS__.

### Decentralizzazione

La __decentralizzazione__ è una caratteristica di un __servizio__ che gli permette di 
